Bug 62080 - Styles-dropdown in Sidebar without preview for font effects after dialog closed, until save or click away
Summary: Styles-dropdown in Sidebar without preview for font effects after dialog clos...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 149945 (view as bug list)
Depends on:
Blocks: Writer-Styles-Paragraph-Combobox
  Show dependency treegraph
 
Reported: 2013-03-10 01:27 UTC by Tin Man
Modified: 2024-07-15 03:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
View of the inconsistency (88.93 KB, image/png)
2020-03-20 14:00 UTC, romain2boss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2013-03-10 01:27:13 UTC
Style previews in the style drop-down don't show up with font effects (e.g. "Capitals", "Lowercase", "Title", and "Small Capitals").
Comment 1 Rainer Bielefeld Retired 2013-03-10 09:53:59 UTC Comment hidden (obsolete)
Comment 2 Tin Man 2013-03-10 12:08:49 UTC
(In reply to comment #1)
> To be honest, I have no idea what we are talking about. 
> Styles selector in Formatting Toolbar?

Yes.
Comment 3 Rainer Bielefeld Retired 2013-03-10 12:30:58 UTC Comment hidden (obsolete)
Comment 4 Tin Man 2013-03-10 20:47:07 UTC
(In reply to comment #3)
> @mazelm:
> Can you explain your Ideas some more precise? Do you see a bug or is this an
> enhancement request?
> Currently with master I see something I would (at least some of them) call a
> bug: In dropdown I see and character color, outline, shadow, strikethrough,
> underline, overline, but over-/underline in wrong color. 
> 
> And Capital/Lowercase/similar are not shown.
> 
> I do not recommend to show "hidden" in preview ;-)
> 
> We are talking about the thing I see as a bug?

Yes -- that's exactly what the bug is about.
Comment 5 Rainer Bielefeld Retired 2013-03-10 21:23:01 UTC Comment hidden (obsolete)
Comment 6 Björn Michaelsen 2013-07-01 19:49:14 UTC
@kendy: I assume "developer who created the latest progress" is you ;) -- are you willing to easyhackify/mentor this one?
Comment 7 David 2019-01-21 14:29:38 UTC
Some time ago I suggested that the fonts be optionally grouped by type - Serif, Monospaced, San Serif, etc. I did get e-mails but I haven't seen it implemented. I have version 6.1.3.2. I don't know if this is the bug report to which I posted my suggestion or not. Maybe I posted it to another bug report. It really isn't a bug but it would be a great update.
Comment 8 romain2boss 2020-03-20 14:00:41 UTC
Created attachment 158835 [details]
View of the inconsistency

Reproduced in Writer 6.4.2.2

This is what we are talking about: When a given style has a font effect (1) applied (like CAPS or SMALL CAPS or...), then preview in the dialog (2) and formating in the document (3) are good BUT preview in Style sidebar (4) is not consistent.

Expected: Preview in the Style sidebar consistent with font effect.
Comment 9 Timur 2022-07-15 13:09:30 UTC
*** Bug 149945 has been marked as a duplicate of this bug. ***
Comment 10 QA Administrators 2024-07-15 03:13:37 UTC
Dear Tin Man,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug